srcdir = 'src/CSP/'

bhist = 'ugri_CSP system from Krisciunas et al. (2017)'
bhist = [bhist,'from http://csp.obs.carnegiescience.edu/data/filters']
bhist = [bhist,'zeropoints in the CSP natural system']

f = ['u','g','r','i']
nf = n_elements(f)
for i=0,nf-1 do begin
   readit,srcdir+f[i]+'_tel_ccd_atm_ext_1.2.dat',x,y
   zeroify,x,y
   mkgenpassband,f[i]+'_CSP',x,y,history=bhist,modelfile='CSP.mags.ugri.dat',modelspec='BD+17d4708.flm',modelmags='CSPI',/closest
   readit,srcdir+f[i]+'_CSP2_tel_ccd_atm_ext_1.2.dat',x,y
   zeroify,x,y
   mkgenpassband,f[i]+'_CSP2',x,y,history=bhist,modelfile='CSP.mags.ugri.dat',modelspec='BD+17d4708.flm',modelmags='CSPII',/closest
endfor

bhist = 'BV_CSP system from Krisciunas et al. (2017)'
bhist = [bhist,'from http://csp.obs.carnegiescience.edu/data/filters']
bhist = [bhist,'zeropoints on Natural system using HST Vega']

f = ['B','V']
nf = n_elements(f)
for i=0,nf-1 do begin
   readit,srcdir+f[i]+'_tel_ccd_atm_ext_1.2.dat',x,y
   zeroify,x,y
   mkgenpassband,f[i]+'_CSP',x,y,history=bhist, modelspec='alpha_lyr_stis_003.dat', $
     modelfile='CSP.mags.BVYJH.dat',modelmags='CSPI-V',/closest
   readit,srcdir+f[i]+'_CSP2_tel_ccd_atm_ext_1.2.dat',x,y
   zeroify,x,y
   mkgenpassband,f[i]+'_CSP2',x,y,history=bhist, modelspec='alpha_lyr_stis_003.dat', $
     modelfile='CSP.mags.BVYJH.dat',modelmags='CSPII',/closest
endfor

f = 'V0'
readit,srcdir+f+'_tel_ccd_atm_ext_1.2.dat',x,y
zeroify,x,y
mkgenpassband,f+'_CSP',x,y,history=bhist, modelspec='alpha_lyr_stis_003.dat', $
  modelfile='CSP.mags.BVYJH.dat',modelmags='CSPI-V',/closest

f = 'V1'
readit,srcdir+f+'_tel_ccd_atm_ext_1.2.dat',x,y
zeroify,x,y
mkgenpassband,f+'_CSP',x,y,history=bhist, modelspec='alpha_lyr_stis_003.dat', $
  modelfile='CSP.mags.BVYJH.dat',modelmags='CSPI-V1',/closest


bhist = 'YJHKs_CSP system from Krisciunas et al. (2017)'
bhist = [bhist,'from https://csp.obs.carnegiescience.edu/data/filters']
bhist = [bhist,'zeropoints on Persson system using HST Vega']

f = ['Y','J','H']
nf = n_elements(f)

for j=0,nf-1 do begin

   readit,srcdir+f[j]+'_SWO_TAM_scan_atm.dat',x,y
   mkpassband,f[j]+'_CSP',x,y,history=bhist
   readit,srcdir+f[j]+'_RetroCam_duPont_TAMU_atm.dat',x,y
   mkpassband,f[j]+'_CSP2',x,y,history=bhist

endfor

f = 'J2'
readit,srcdir+f+'_SWO_TAM_scan_atm.dat',x,y
mkpassband,f+'_CSP',x,y,history=bhist


end
